%define upstream_name    AnyEvent
%define upstream_version 7.04
%define filelist %{upstream_name}-%{version}-filelist
%define maketest 1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      3

Summary:    Provide framework for multiple event loops
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/~mlehmann/AnyEvent/
Source0:    http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/AnyEvent-%upstream_version.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: perl-Event
%description
AnyEvent - provide framework for multiple event loops
Event, Glib, Tk, Perl, - various supported event loops

%package EV
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - EV integration
%description EV
AnyEvent - provide framework for multiple event loops
EV event loop integration

%package Event-Lib
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - Event::Lib integration
%description Event-Lib
AnyEvent - provide framework for multiple event loops
Event::Lib event loop integration

%package Tk
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - Tk integration
%description Tk
AnyEvent - provide framework for multiple event loops
Tk event loop integration

%package POE
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - POE integration
%description POE
AnyEvent - provide framework for multiple event loops
POE event loop integration

%package IOAsync
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - IO::Async integration
%description IOAsync
AnyEvent - provide framework for multiple event loops
IO::Async event loop integration

%package Irssi
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - Irssi integration
%description Irssi
AnyEvent - provide framework for multiple event loops
Irssi event loop integration

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLDIRS=vendor
%{__make} 
%check
%{__make} test

%install
%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

#we don't have perl-Qt anymore:
rm -f %buildroot%{perl_vendorarch}/AnyEvent/Impl/Qt.pm
rm -f %buildroot%_mandir/man3/AnyEvent::Impl::Qt*
#only for Mac:
rm -f %buildroot%{perl_vendorarch}/AnyEvent/Impl/Cocoa.pm
rm -f %buildroot%_mandir/man3/AnyEvent::Impl::Cocoa*

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/AE.pm
%{perl_vendorarch}/AnyEvent.pm
%dir %{perl_vendorarch}/AnyEvent
%dir %{perl_vendorarch}/AnyEvent/Impl
%{perl_vendorarch}/AnyEvent/Debug.pm
%{perl_vendorarch}/AnyEvent/DNS.pm
%{perl_vendorarch}/AnyEvent/FAQ.pod
%{perl_vendorarch}/AnyEvent/Handle.pm
%{perl_vendorarch}/AnyEvent/Log.pm
%{perl_vendorarch}/AnyEvent/Loop.pm
%{perl_vendorarch}/AnyEvent/Socket.pm
%{perl_vendorarch}/AnyEvent/Strict.pm
%{perl_vendorarch}/AnyEvent/Intro.pod
%{perl_vendorarch}/AnyEvent/TLS.pm
%{perl_vendorarch}/AnyEvent/Util.pm
%{perl_vendorarch}/AnyEvent/Util/
%{perl_vendorarch}/AnyEvent/IO.pm
%{perl_vendorarch}/AnyEvent/IO/
%{perl_vendorarch}/AnyEvent/Impl/Event.pm
%{perl_vendorarch}/AnyEvent/Impl/FLTK.pm
%{perl_vendorarch}/AnyEvent/Impl/Glib.pm
%{perl_vendorarch}/AnyEvent/Impl/Perl.pm
%{perl_vendorarch}/AnyEvent/constants.pl
%_mandir/man3/AE.3pm*
%_mandir/man3/AnyEvent.3pm*
%_mandir/man3/AnyEvent::Debug*
%_mandir/man3/AnyEvent::DNS*
%_mandir/man3/AnyEvent::FAQ*
%_mandir/man3/AnyEvent::Handle*
%_mandir/man3/AnyEvent::Socket.*
%_mandir/man3/AnyEvent::Strict.*
%_mandir/man3/AnyEvent::Util.*
%_mandir/man3/AnyEvent::Intro.*
%_mandir/man3/AnyEvent::Log.*
%_mandir/man3/AnyEvent::Loop.*
%_mandir/man3/AnyEvent::IO*
%_mandir/man3/AnyEvent::Impl::Event.*
%_mandir/man3/AnyEvent::Impl::Glib.*
%_mandir/man3/AnyEvent::Impl::FLTK.*
%_mandir/man3/AnyEvent::Impl::Perl*
%_mandir/man3/AnyEvent::TLS*

%files EV
%{perl_vendorarch}/AnyEvent/Impl/EV.pm
%_mandir/man3/AnyEvent::Impl::EV.3pm*

%files Event-Lib
%{perl_vendorarch}/AnyEvent/Impl/EventLib.pm
%_mandir/man3/AnyEvent::Impl::EventLib.3pm*

%files Tk
%{perl_vendorarch}/AnyEvent/Impl/Tk.pm
%_mandir/man3/AnyEvent::Impl::Tk*

%files POE
%{perl_vendorarch}/AnyEvent/Impl/POE.pm
%_mandir/man3/AnyEvent::Impl::POE*

%files IOAsync
%{perl_vendorarch}/AnyEvent/Impl/IOAsync.pm
%_mandir/man3/AnyEvent::Impl::IOAsync*

%files Irssi
%{perl_vendorarch}/AnyEvent/Impl/Irssi.pm
%_mandir/man3/AnyEvent::Impl::Irssi*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3:7.40.0-2.mga3
+ Revision: 362929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3:7.40.0-1.mga3
+ Revision: 341910
- update to 7.04

* Wed Aug 29 2012 kharec <kharec> 3:7.20.0-1.mga3
+ Revision: 285086
- update to 7.02

* Fri Aug 24 2012 pterjan <pterjan> 3:7.10.0-2.mga3
+ Revision: 283451
- Rebuild for new perl

* Wed Jun 06 2012 jquelin <jquelin> 3:7.10.0-1.mga3
+ Revision: 256210
- fix list of files
- update to 7.01

* Wed May 30 2012 jquelin <jquelin> 3:6.140.0-2.mga3
+ Revision: 250265
- rebuild for perl 5.16

* Wed Feb 22 2012 kharec <kharec> 3:6.140.0-1.mga2
+ Revision: 211882
- update to 6.14

* Wed Jan 25 2012 jquelin <jquelin> 3:6.130.0-1.mga2
+ Revision: 200844
- update to 6.13

* Tue Dec 13 2011 jquelin <jquelin> 3:6.120.0-1.mga2
+ Revision: 181151
- update to 6.12

* Tue Nov 22 2011 kharec <kharec> 3:6.110.0-1.mga2
+ Revision: 170929
- update to 6.11

* Tue Oct 11 2011 takashi <takashi> 3:6.100.0-1.mga2
+ Revision: 153841
- update to 6.1

* Tue Aug 30 2011 jquelin <jquelin> 3:6.20.0-1.mga2
+ Revision: 136597
- update to 6.02

* Wed Jun 15 2011 jquelin <jquelin> 3:5.340.0-1.mga2
+ Revision: 106452
- update to 5.34

* Sat Jun 11 2011 jquelin <jquelin> 3:5.310.0-2.mga2
+ Revision: 103448
- perl 5.14

* Wed Feb 16 2011 jquelin <jquelin> 3:5.310.0-1.mga1
+ Revision: 52407
- update to 5.31

* Sat Jan 22 2011 jquelin <jquelin> 3:5.300.0-1.mga1
+ Revision: 31716
- mageia rebuild
- imported package perl-AnyEvent

